Bug 138733 - [FIX] devel/py-asn1 0.0.9a fail create a package with installed py-setuptools
Summary: [FIX] devel/py-asn1 0.0.9a fail create a package with installed py-setuptools
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-python (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-11 13:20 UTC by viper
Modified: 2009-09-18 14:20 UTC (History)
0 users

See Also:


Attachments
file.diff (10.74 KB, patch)
2009-09-11 13:20 UTC, viper
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description viper 2009-09-11 13:20:03 UTC
install devel/py-setuptools

make package
.....
Installed /usr/local/lib/python2.5/site-packages/pyasn1-0.0.8a-py2.5.egg
Processing dependencies for pyasn1==0.0.8a
Finished processing dependencies for pyasn1==0.0.8a
===>   Registering installation for py25-asn1-0.0.8a
===>  Building package for py25-asn1-0.0.8a
Creating package /usr/ports/packages/All/py25-asn1-0.0.8a.tbz
Registering depends: python25-2.5.4_2.
Creating bzip'd tar ball in '/usr/ports/packages/All/py25-asn1-0.0.8a.tbz'
tar: lib/python2.5/site-packages/pyasn1-0.0.8a-py2.5.egg-info: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/__init__.py: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/__init__.pyc: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/__init__.pyo: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/__init__.py: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/__init__.pyc: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/__init__.pyo: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/error.py: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/error.pyc: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/error.pyo: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/type/base.py: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/type/base.pyc: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/type/base.pyo: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/type/tag.py: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/type/tag.pyc: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/type/tag.pyo: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/type/univ.py: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/type/univ.pyc: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/type/univ.pyo: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/type/__init__.py: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/type/__init__.pyc: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/type/__init__.pyo: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/type/namedtype.py: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/type/namedtype.pyc: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/type/namedtype.pyo: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/type/namedval.py: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/type/namedval.pyc: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/type/namedval.pyo: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/type/error.py: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/type/error.pyc: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/type/error.pyo: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/type/constraint.py: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/type/constraint.pyc: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/type/constraint.pyo: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/type/char.py: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/type/char.pyc: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/type/char.pyo: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/type/useful.py: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/type/useful.pyc: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/type/useful.pyo: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/codec/__init__.py: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/codec/__init__.pyc: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/codec/__init__.pyo: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/codec/ber/decoder.py: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/codec/ber/decoder.pyc: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/codec/ber/decoder.pyo: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/codec/ber/encoder.py: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/codec/ber/encoder.pyc: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/codec/ber/encoder.pyo: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/codec/ber/__init__.py: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/codec/ber/__init__.pyc: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/codec/ber/__init__.pyo: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/codec/ber/eoo.py: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/codec/ber/eoo.pyc: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/codec/ber/eoo.pyo: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/codec/cer/__init__.py: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/codec/cer/__init__.pyc: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/codec/cer/__init__.pyo: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/codec/cer/encoder.py: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/codec/cer/encoder.pyc: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/codec/cer/encoder.pyo: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/codec/cer/decoder.py: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/codec/cer/decoder.pyc: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/codec/cer/decoder.pyo: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/codec/der/__init__.py: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/codec/der/__init__.pyc: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/codec/der/__init__.pyo: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/codec/der/decoder.py: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/codec/der/decoder.pyc: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/codec/der/decoder.pyo: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/codec/der/encoder.py: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/codec/der/encoder.pyc: Cannot stat: No such file or directory
tar: lib/python2.5/site-packages/pyasn1/v1/codec/der/encoder.pyo: Cannot stat: No such file or directory
tar: Error exit delayed from previous errors.
pkg_create: make_dist: tar command failed with code 256
*** Error code 1

Stop in /usr/home/viper/ports/devel/py-asn1.old.

Fix: apply patch

Patch attached with submission follows:
How-To-Repeat: install devel/py-setuptools
run  make package
Comment 1 Edwin Groothuis freebsd_committer 2009-09-11 13:20:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2009-09-11 13:20:18 UTC
Maintainer of devel/py-asn1,

Please note that PR ports/138733 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/138733

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2009-09-11 13:20:20 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 mhjacks 2009-09-11 23:48:28 UTC
Edwin Groothuis wrote:
> Maintainer of devel/py-asn1,
> 
> Please note that PR ports/138733 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/138733
> 

I approve.  This same issue might show up in py-snmp4 and py-snmp4-mibs 
as well.

Thanks,
Marty
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2009-09-12 01:41:43 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 6 Pav Lucistnik freebsd_committer 2009-09-18 14:01:55 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 7 dfilter service freebsd_committer 2009-09-18 14:17:44 UTC
pav         2009-09-18 13:17:36 UTC

  FreeBSD ports repository

  Modified files:
    devel/py-asn1        Makefile pkg-plist 
  Log:
  - Switch to egg
  
  PR:             ports/138733
  Submitted by:   Vladimir Korkodinov <viper@perm.raid.ru>
  Approved by:    Martin Jackson <mhjacks@swbell.net> (maintainer)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.8       +2 -1      ports/devel/py-asn1/Makefile
  1.3       +86 -79    ports/devel/py-asn1/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"